%global dlrn_nvr os-net-config-11.3.2.dev10-0.20200804083433.f49ab16
%global dlrn 1
%define upstream_version 11.3.2.dev10
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver 3
%else
%global pyver 2
%endif

%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}


Name:			os-net-config
Version: 11.3.2
Release: 0.20200804083435.f49ab16%{?dist}
Summary:		Host network configuration tool

License:		ASL 2.0
URL:			http://pypi.python.org/pypi/%{name}
Source0: os-net-config-11.3.2.dev10-0.20200804083433.f49ab16.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=f49ab161ca5288631e3ffd283028b714369c40d8
Patch0001: 0001-Enable-smfs-software-steering-when-switchdev-is-enab.patch
Patch0002: 0002-Fixing-the-dependency-for-sriov_config-service.patch

Requires:	initscripts
Requires:	iproute
Requires:	ethtool
Requires:	dhclient

BuildArch:	noarch

BuildRequires:	python%{pyver}-setuptools
BuildRequires:	python%{pyver}-devel
BuildRequires:	python%{pyver}-pbr
BuildRequires:	python%{pyver}-sphinx
BuildRequires:	python%{pyver}-openstackdocstheme

Requires:	python%{pyver}-eventlet >= 0.18.2
Requires:	python%{pyver}-oslo-concurrency >= 3.8.0
Requires:	python%{pyver}-oslo-config
Requires:	python%{pyver}-oslo-utils >= 3.20.0
Requires:	python%{pyver}-netaddr >= 0.7.13
Requires:	python%{pyver}-iso8601 >= 0.1.11
Requires:	python%{pyver}-six >= 1.9.0
Requires:	python%{pyver}-pbr >= 2.0.0
Requires:	python%{pyver}-jsonschema >= 2.0.0

%if %{pyver} == 2
Requires:	PyYAML >= 3.10
Requires:	python-anyjson >= 0.3.3
Requires:	python-pyudev >= 0.16.1
%else
Requires:	python%{pyver}-PyYAML >= 3.10
Requires:	python%{pyver}-anyjson >= 0.3.3
Requires:	python%{pyver}-pyudev >= 0.16.1
%endif

%if 0%{?rhel} > 7
# RHEL8 requires a network-scripts package for ifcfg backwards compatibility
Requires:   network-scripts
%endif

%description
Host network configuration tool for OpenStack.

%prep

%setup -q -n %{name}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1

%build
%{pyver_build}
%{pyver_bin} setup.py build_sphinx

%install
%{pyver_install}

%files
%doc README.rst
%doc LICENSE
%doc doc/build/html
%{_bindir}/os-net-config
%{_bindir}/os-net-config-sriov
%{pyver_sitelib}/os_net_config*

%changelog
* Tue Nov 17 2020 Karthik S <ksundara@redhat.com> 11.3.2-0.20200804083435.f49ab16
- Fixing the dependency for sriov_config service (rhbz#1890623)

* Tue Oct 27 2020 hakhande <hakhande@redhat.com> 11.3.2-0.20200804083434.f49ab16
- Enable smfs software steering when switchdev is enabled, rhbz#1882480

* Tue Aug 04 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Add NIC Partitioning support for Mellanox VFs

* Fri Jul 24 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Avoid openvswitch restarts during re-run

* Fri Jun 19 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Set OVSBOOTPROTO to dhcp when using dhcpv6 with OVS

* Wed May 20 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Skip VFs configured for DPDKs during NIC ordering

* Thu May 14 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Retries are attempted if VF configuration fails

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Run ifup on a bond when a slave interface is restarted
- SRIOV VF: Add min_tx_rate and max_tx_rate

* Fri Mar 13 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Enable new routing rules on the fly without restarting interfaces

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- We need to use the MAC instead of PCI Address for Mellanox cards

* Fri Feb 28 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches

* Tue Jan 07 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches

* Mon Dec 02 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Adding testcases for sriov_config

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Cleanup the sriov_numvfs config scripts

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Update .gitreview for stable/train

* Mon Sep 23 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add linkdelay option"
- Add linkdelay option

